GoodMemGoodMem
ReferenceAPIREST APIUsers

Get current user profile

GET /v1/users/me: Returns the human-user profile associated with the authenticated principal. Service principals do not have a human-user profile.

Returns the human-user profile associated with the authenticated principal. Service principals do not have a human-user profile.

GET
/v1/users/me
x-api-key<token>

In: header

Response Body

curl -X GET "https://your-goodmem-server.example.com/v1/users/me"
{
  "userId": "550e8400-e29b-41d4-a716-446655440000",
  "email": "[email protected]",
  "displayName": "John Doe",
  "username": "johndoe",
  "labels": {
    "team": "platform"
  },
  "enrollmentSummary": {
    "openEnrollmentExpiresAt": 1786752000000
  },
  "deletedAt": 1620200000000,
  "deletedById": "8ef578ad-7f1e-4656-b48b-b1b4a9aaa1cb",
  "createdAt": 1620000000000,
  "updatedAt": 1620100000000,
  "createdById": "e13e432a-5323-4484-a91d-b5969bc564d9",
  "updatedById": "d8bc6076-4141-4a88-80b9-0eb31643066f"
}
Empty
Empty
Empty
Empty